seem to be a simple compile error on lenny

Live forum: http://rt2x00.serialmonkey.com/viewtopic.php?t=5220

macaal

02-03-2009 16:37:21

hallo,
i have buy a Edimax EW-7108PCg wifi card
i visit the http//linuxwireless.org/en/users/Devices/PCI before and see that it is compatible
i' ve download the latest drivers from http//web.ralinktech.com/ralink/Home/S ... Linux.html
my system is a i386 based on lenny stable
when i go into the directory that it creates the tar-ball
i cp Makefile.6 Makefile

i get this error msg..
make -C /lib/modules/2.6.26-1-486/build SUBDIRS=/home/mony/wifi/wifi-nenas/2009_0123_RT61_Linux_STA_v1.1.2.3/Module modules
make -C /lib/modules/2.6.26-1-486/build SUBDIRS=/home/mony/wifi/wifi-nenas/2009_0123_RT61_Linux_STA_v1.1.2.3/Module modules
make *** /lib/modules/2.6.26-1-486/build No existe el fichero o el directorio. Alto.
make *** [all] Error 2

the directory does nos exist
but when i created by hand
the error is that is nothing to do...
what can i do to slove this problem and install well the driver

Vern

02-03-2009 17:09:16

Hi macaal,

We only support our version of the legacy drivers here. You need to contact Ralink for support for their drivers. Or you could try downloading and building the RT61 driver from our project.

Thanks,

Cappa72

11-03-2009 17:32:27

Dear members,

I have got the same card, but I cannot download driver from serialmonkay.com.
Only a 10kb file is available and i could not open it anyhow.

(Edimax 7108PCg, rt2561 chipset)
(I had rt2500 and rt73 cards, and their installation and use was easy)

Is there available driver?

Thank you,
Cappa.

IvD

11-03-2009 17:34:21

Most distributions have a legacy or rt2x00 driver in their repository.
All distros with kernel 2.6.24 and above have the in-kernel driver installed by default.

Yes, we are aware of the problem. Apparently we can't do checkouts from our CVS repository anymore. Will hopefully be fixed soon.

Cappa72

11-03-2009 17:43:47

Most distributions have a legacy or rt2x00 driver in their repository.
All distros with kernel 2.6.24 and above have the in-kernel driver installed by default.

Yes, we are aware of the problem. Apparently we can't do checkouts from our CVS repository anymore. Will hopefully be fixed soon.[/quote3rh5c113]

Thanks for quick reply.
Unfortunately rt2x00 staffs do not work usualy.
Did not work in the case of rt2500(pcmci) nor rt73 (usb).
But drivers from this site worked well.

(

I will try to look it day by day.
THX. Cappa

IvD

11-03-2009 18:26:10


Unfortunately rt2x00 staffs do not work usualy.
Did not work in the case of rt2500(pcmci) nor rt73 (usb).
[/quote1q958usc]

Well thanks for the bugreports on those issues then...

Cappa72

11-03-2009 20:55:49

I could fihd a driver )
http//www.slackware.com/~alien/slackbu ... ily.tar.gz

It works well!
)

Best Regards,
Cappa

ps yupiiiiiiiiiii